- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Data Fields
dns_sshfp Struct Reference

## Public Types
enum | dns_sshfp_key { DNS_SSHFP_RSA = 1, DNS_SSHFP_DSA = 2 }
enum | dns_sshfp_digest { DNS_SSHFP_SHA1 = 1 }

## Data Fields
enum dns_sshfp::dns_sshfp_key | algo
enum dns_sshfp::dns_sshfp_digest | type
union {
unsigned char sha1 [20]
} | digest